Announcement

Collapse
No announcement yet.

upgrade and slight problem with the database

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • upgrade and slight problem with the database

    I'm trying to upgrade from ver. 2.0.1 to 2.2.8 but when I go to:
    mydomain.com/admin/upgrade11.php3 it on the second step says:

    ----------
    There seems to have been a slight problem with the database. Please try again by pressing the refresh button in your browser.

    An E-Mail has been dispatched to our Technical Staff, who you can also contact if the problem persists.

    We apologise for any inconvenience.
    --------------


    somebody knows what the problem is?

    thanks
    Last edited by George L; Tue 1 Oct '02, 5:18am.

  • #2
    can you right click and view source code on the error page and look for the mysql error message enclosed in

    <!-- error message -->

    and paste it here
    :: Always Back Up Forum Database + Attachments BEFORE upgrading !
    :: Nginx SPDY SSL - World Flags Demo [video results]
    :: vBulletin hacked forums: Clean Up Guide for VPS/Dedicated hosting users [ vbulletin.com blog summary ]

    Comment


    • #3
      <!-- Database error in vBulletin: Invalid SQL: SELECT optioncode FROM setting WHERE varname='WOLenable'
      mysql error: Table 'foroli.setting' doesn't exist
      mysql error number: 1146
      Date: Tuesday 01st of October 2002 01:12:35 AM
      Script: /vhosts/forolibre.com/htdocs/foro/admin/upgrade11.php3?step=2
      Referer:
      -->
      Last edited by George L; Tue 1 Oct '02, 5:17am.

      Comment


      • #4
        Take down the upgrade scripts while the problem is sorted, I can access it as we speak.

        Comment


        • #5
          I'm not sure I understand what you mean,

          should I delete the upgrade files from the server?

          Comment


          • #6
            Originally posted by nnacho
            I'm not sure I understand what you mean,

            should I delete the upgrade files from the server?
            i remove the links to the upgrade files since anyone reading this can keep running your upgrade scripts again and again

            first thing to do is revert to your backup forum 2.01 that you would of done before running upgrade... we can work from there
            :: Always Back Up Forum Database + Attachments BEFORE upgrading !
            :: Nginx SPDY SSL - World Flags Demo [video results]
            :: vBulletin hacked forums: Clean Up Guide for VPS/Dedicated hosting users [ vbulletin.com blog summary ]

            Comment


            • #7
              ok, I just uploaded to the server the old 2.01 files that I had.

              and I removed the upgrade files.

              now, what should I do.

              here is the problem:
              http://forolib1.tempdomainname.com/v...m/htdocs/foro/

              Comment


              • #8
                Originally posted by nnacho
                ok, I just uploaded to the server the old 2.01 files that I had.

                and I removed the upgrade files.

                now, what should I do.

                here is the problem:
                http://forolib1.tempdomainname.com/v...m/htdocs/foro/
                did you restore your vB 2.01 backed up database as well ?
                :: Always Back Up Forum Database + Attachments BEFORE upgrading !
                :: Nginx SPDY SSL - World Flags Demo [video results]
                :: vBulletin hacked forums: Clean Up Guide for VPS/Dedicated hosting users [ vbulletin.com blog summary ]

                Comment


                • #9
                  no, the database is a new one and is suposed to be empty. Later on if everything works i'll restore the database.

                  is that ok?

                  Comment


                  • #10
                    Originally posted by nnacho
                    no, the database is a new one and is suposed to be empty. Later on if everything works i'll restore the database.

                    is that ok?
                    i see..

                    do you mean to say you have a new empty database and you're trying to run upgrade11.php ? that won't work

                    you need to reimport your vB 2.01 backup into the empty database

                    then run upgrade11.php and so on
                    :: Always Back Up Forum Database + Attachments BEFORE upgrading !
                    :: Nginx SPDY SSL - World Flags Demo [video results]
                    :: vBulletin hacked forums: Clean Up Guide for VPS/Dedicated hosting users [ vbulletin.com blog summary ]

                    Comment

                    widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                    Working...
                    X